> For the complete documentation index, see [llms.txt](https://docs.channel360.co.za/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.channel360.co.za/api-usage/using-the-channel360-v1.1-api/conversations/send-media-message/send-image-message.md).

# Send Image Message

An image conversation type refers to a message that includes an image, and optionally, text and/or actions.

Arguments/Parameters are additional pieces of information that you include in the request to customise the behavior of the API or to filter the results returned by the API.

In this table below you'll see the Arguments for this request.

<table><thead><tr><th width="205">Arguments</th><th>Explaination</th></tr></thead><tbody><tr><td>mediaURL <mark style="color:red;">*required</mark> </td><td>Provides the URL where the file content is hosted or located.</td></tr><tr><td>text (optional)</td><td>The text content of the message. Maximum length of 4096 characters.</td></tr><tr><td>actions (optional)</td><td>An array of actions related to the message.</td></tr></tbody></table>

Both examples demonstrate how to construct a request to send an image message to a WhatsApp user using the specified API endpoint.&#x20;

The placeholders indicate that certain values, such as image URLs and organization/app user IDs, will be provided dynamically or **replaced with actual values** when making the request.

{% tabs %}
{% tab title="JSON" %}

```
{
    "type": "image",
    "mediaUrl": "https://example.org/test.jpeg",
    "text": "Here is an image attached to the message"
}

```

{% endtab %}

{% tab title="cURL" %}

```
curl --location 'channel360.co.za/v1.1/org/{{orgId}}/whatsapp/appuser/{{appUser}}/reply' \
--data '{
    "type": "image",
    "mediaUrl": "https://example.org/test.jpeg",
    "text": "Here is an image attached to the message"
}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.channel360.co.za/api-usage/using-the-channel360-v1.1-api/conversations/send-media-message/send-image-message.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
